Bug 530456 - authentication dialogue sometimes appears from kpackagekit, is unresponsive
authentication dialogue sometimes appears from kpackagekit, is unresponsive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: polkit-kde (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 17:10 EDT by Oliver Henshaw
Modified: 2012-08-16 17:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
authentication dialogue screenshot (41.19 KB, image/png)
2009-10-22 17:11 EDT, Oliver Henshaw
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 27788 None None None Never

  None (edit)
Description Oliver Henshaw 2009-10-22 17:10:51 EDT
Description of problem:

On the f12 kde beta, an authenticaton dialogue sometimes appears, preventing packages from being installed/upgraded.  This dialogue can't be dismissed, apart from by cancelling the kpackagekit transaction. This can be triggered easily on the live iso by trying to install or update rawhide packages - it doesn't happen every time, but it only takes a few attempts before it crops up.

When I install or update packages with kpackagekit, I get asked to confirm I want to continue because rawhide isn't signed. So far so expected.  In the working case, installation carries on, though sometimes a scary-looking window flashes up very briefly. But in the non-working case, the scary window appears (see attached screenshot) and stays on the screen. Neither the authenticate button nor the cancel button respond to clicks.

I can move the authentication dialogue away and cancel the transaction - then the dialogue disappears. But it will always reappear if I retry the transaction, unless I cancel out of kpackagekit completely and try again.


Version-Release number of selected component (if applicable):

polkit-0.95-0.git20090913.2.fc12
kpackagekit-0.5.0-0.1.20090915svn.fc12
Comment 1 Oliver Henshaw 2009-10-22 17:11:54 EDT
Created attachment 365785 [details]
authentication dialogue screenshot
Comment 2 Steven M. Parrish 2009-10-25 11:36:32 EDT
This has been resolved in the official 0.5.0.1 release 

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Oliver Henshaw 2009-10-25 14:31:42 EDT
I still see this on the beta livecd, even with updates.

I updated to polkit-0.95-0.git20090913.3.fc12.i686 and kpackagekit-0.5.0.1-1.fc12.i686 and logged out and back in, and was still able to get the authentication dialogue after installing a couple of packages.

Unless this needs a reboot to take, in which case I would have to test with a newer snapshot.
Comment 4 Steven M. Parrish 2009-10-25 14:38:48 EDT
Can you be more specific as to what exactly is wrong with the dialog.  You are supposed to get it when using kpackagkit as Packagekit is now using policykit for authorizations.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Oliver Henshaw 2009-10-25 15:03:06 EDT
The problem is that the Authenticate and Cancel buttons on the dialogue are completely unresponsive - it's impossible to dismiss the dialogue with either of them.

If I move the dialogue away and cancel the kpackagekit window that says it is waiting for authorisation, then the dialogue disappears and the transaction is canceled.

I've just discovered that if I click the x to close the dialogue box, then it disappears and the transaction completes.


Maybe 0.5.0.2 fixes it? From kde-apps:

0.5.0.2
- Fix forgot to declare some slots
Comment 6 Steven M. Parrish 2009-10-25 19:48:05 EDT
0.5.0.2 has been built http://koji.fedoraproject.org/koji/taskinfo?taskID=1767310

try and and let me know if that resolves the issue.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Oliver Henshaw 2009-10-26 19:56:46 EDT
I can still reproduce this with 0.5.0.2.

Have you been able to confirm this with the beta live iso (with or without updates) or otherwise?
Comment 8 Rex Dieter 2009-10-26 20:51:36 EDT
I personally cannot reproduce this.  I've authenticated against 0.5.0.1  a couple of times, and 0.5.0.2 too.

But, it sounds like it's polkit-gnome that's hanging for you (the authentication dialog).
Comment 9 Steven M. Parrish 2009-10-27 07:47:30 EDT
Rex is right.  I also am unable to reproduce this, as Rex points out thought the actual authentication is being done by polkit-gnome and not kpackagekit. In fact for authentication kpackagekit calls PackageKit which calls polkit-gnome.  

Please do a

rpm -qa Packagekit polkit*

and post the results.

Probably going to end up punting this to the polkit folks.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Oliver Henshaw 2009-10-29 11:40:15 EDT
I can still reproduce this with the rawhide-kde-20091026 image after installing a couple of packages. This image had kpackagekit 0.5.0.1 but I updated to 0.5.0.2 and tried again after a logout/login cycle.

$ yum list installed *polkit* *packagekit*
Loaded plugins: presto, refresh-packagekit
Installed Packages
PackageKit.i686                     0.5.3-1.fc12
PackageKit-glib.i686                0.5.3-1.fc12
PackageKit-gtk-module.i686          0.5.3-1.fc12
PackageKit-qt.i686                  0.5.3-1.fc12
PackageKit-yum.i686                 0.5.3-1.fc12
PackageKit-yum-plugin.i686          0.5.3-1.fc12
kpackagekit.i686                    0.5.0.2-1.fc12
polkit.i686                         0.95-0.git20090913.3.fc12
polkit-gnome.i686                   0.95-0.git20090913.6.fc12
Comment 11 Rex Dieter 2009-11-02 14:31:07 EST
Please update to at least qt-4.5.3-7 , and holler if this is still a problem.
Comment 12 Kevin Kofler 2009-11-02 15:07:32 EST
Uh, the authentication dialogs in F12 PackageKit are issued by polkit-gnome, I don't think Qt has anything to do with this.
Comment 13 Oliver Henshaw 2009-11-03 08:42:55 EST
Still happens with the rawhide-kde-20091102 image.

$ yum list installed *polkit* *packagekit* qt
Loaded plugins: presto, refresh-packagekit
Installed Packages
PackageKit.i686                     0.5.3-1.fc12
PackageKit-glib.i686                0.5.3-1.fc12
PackageKit-gtk-module.i686          0.5.3-1.fc12
PackageKit-qt.i686                  0.5.3-1.fc12
PackageKit-yum.i686                 0.5.3-1.fc12
PackageKit-yum-plugin.i686          0.5.3-1.fc12
kpackagekit.i686                    0.5.0.2-1.fc12
polkit.i686                         0.95-0.git20090913.3.fc12
polkit-gnome.i686                   0.95-0.git20090913.6.fc12
qt.i686                             1:4.5.3-7.fc12
Comment 14 Rex Dieter 2009-11-03 08:52:59 EST
Re-assigning to polkit-gnome for guidance.
Comment 15 Oliver Henshaw 2009-11-04 13:44:13 EST
The polkit dialogue also appears when installing a package from a newly installed repository (e.g. rpm-fusion, adobe) for which the key has not yet been imported. If I move the dialogue out of the way and confirm and ok my way through the stack of dialogues beneath it(*), the transaction appears to have failed but the repo key has been imported - trying the transaction again succeeds in installing the package without incident.


* There is a bewildering array of dialogues to click through, some of which appear more than once. There may still be a usability bug to file about importing keys if this is still true after this bug has been fixed.
Comment 16 Bug Zapper 2009-11-16 09:05:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Oliver Henshaw 2009-11-29 10:29:08 EST
Is this something to do with the fact that the livecd has no root password?

I re-tested(*) with the F12 final release livecd and found I could still get the unresponsive dialogue after a few tries. But if I set a root password, then I get a authentication dialogue asking for the root password - this dialogue behaves as expected when cancelling, dismissing, filling in the password or cancelling the window underneath.


* I enabled rawhide and disabled F12 and F12-testing, so that I would get unsigned packages, and installed standalone packages (e.g. powertop, xclip, bash-completions).

I also found that I could trigger the problem by removing packages.
Comment 18 Oliver Henshaw 2009-11-29 12:51:50 EST
(In reply to comment #15)
> * There is a bewildering array of dialogues to click through, some of which
> appear more than once. There may still be a usability bug to file about
> importing keys if this is still true after this bug has been fixed.  

See https://bugs.kde.org/show_bug.cgi?id=216701
Comment 19 Oliver Henshaw 2010-03-19 15:25:28 EDT
There is still a problem with the nightly-kde-20100318 image. I brought up the authentication dialog by adding/removing packages in kpackagekit and by changing the system time.  The dialog does not accept an empty password, but the transaction/change works after canceling the dialog.

polkit-0.96-1.fc13.i686
polkit-kde-0.95.1-4.fc13.i686
polkit-qt-0.95.1-3.fc13.i686

I haven't (yet) checked the desktop spin to see whether gnome-packagekit accepts an empty root password.
Comment 20 Oliver Henshaw 2010-03-19 15:26:37 EDT
I meant polkit-gnome, not gnome-packagekit.
Comment 21 Oliver Henshaw 2010-03-26 20:27:28 EDT
Testing with desktop-i386-20100325.19.iso, it looks like polkit-gnome does the right thing. So it's now just polkit-kde that chokes.
Comment 22 Radek Novacek 2010-04-07 09:07:08 EDT
Oliver, can you please test this [1] package if the issue still persist. Thank you.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2099616
Comment 23 Oliver Henshaw 2010-04-08 12:41:15 EDT
I installed it from runlevel 3 on the livecd and then launched runlevel 5, hope that's enough to make it take.

When I changed the system time an authentication dialogue popped up asking for the root password. I left it blank and clicked OK and another (different?) authentication dialogue popped up. I left the password blank again and this time the change took.
Comment 24 Radek Novacek 2010-04-09 03:01:36 EDT
That sounds weird. Can you please try it again and take the screenshots of both dialogs? And run "ps aux | grep polkit" and post the output here. Thank out.
Comment 25 Oliver Henshaw 2010-04-19 09:27:24 EDT
Sorry, the scratch build looks like it's expired.

PS I'm not sure if it's clear, but the problem only appears with a livecd, which has no root password - see comment #17. It should be easy to confirm this, right?
Comment 26 Radek Novacek 2010-04-23 03:55:43 EDT
Looks like problem in the policykit itself. Upstream bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=27788
Comment 27 Oliver Henshaw 2010-05-02 13:47:31 EDT
Actually gnome (polkit-gnome-0.9.6-1.fc13.i686, polkit 0.9.6-1.fc13.i686) appears to behave well on a f13 nightly - e.g. installing a package: an authentication dialogue appears but disappears after a moment and the transaction continues.

See also comment #21.
Comment 28 Radek Novacek 2010-05-03 03:34:09 EDT
polkit-gnome behaves a little bit differently for me. When I start it and try to authenticate, the dialog appears and both buttons are unresponsive. If I close the dialog the action is authenticated. When I try to authenticate another action, the dialog appears and disappears immediately and the action executes. Exactly the same happens to polkit-kde dialog.
Comment 29 Bug Zapper 2010-11-04 05:14:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Oliver Henshaw 2010-11-06 11:48:30 EDT
Still present on F14.

When I test on the gnome live-image, package installation tends to work (with a dialog briefly flashing past as in comment #27) but firewall configuration gives me an unresponsive dialog that authenticates when closed (as in comment #28).
Comment 31 Oliver Henshaw 2011-02-24 12:46:54 EST
From https://bugs.freedesktop.org/show_bug.cgi?id=27788#c1

"It's up to the authentication agent (which could be one of polkit-gnome,
polkit-kde or, now, gnome-shell - or even ) to avoid putting up an
authentication dialog if no information is requested - e.g. until one of the
signals ::show-info, ::show-error, ::request from the PolkitAgentSession type
has been emitted:


http://hal.freedesktop.org/docs/polkit/PolkitAgentSession.html#PolkitAgentSession.signals

Notably gnome-shell's new polkit authentication agent suffers from this problem
- I've filed https://bugzilla.gnome.org/show_bug.cgi?id=643062 for it.

Closing as NOTOURBUG since this fix is needed in the authentication agents."
Comment 32 Jaroslav Reznik 2011-02-25 07:56:23 EST
Thanks for update, trying to figure out what's needed for proper implementation of authentication agent.
Comment 33 Oliver Henshaw 2011-05-09 12:04:27 EDT
I can't trigger this in a recent nightly (Fedora-15-Nightly-20110502.18-x86_64-Live-kde.iso):

polkit-0.101-5.fc15.x86_64
polkit-kde-0.99.0-2.fc15.x86_64

..but polkit-kde hasn't been changed recently afaics. Maybe this is a side effect of something in polkit itself? Not sure whether there's still a bug to fix or not.
Comment 34 Oliver Henshaw 2011-05-09 13:24:16 EDT
I checked with some old nightlies and the behaviour changes between polkit-0.98-7.fc15.x86_64 and polkit-0.100-1.fc15.x86_64. Though the polkit-kde dialog still appears, it disappears again in an instant.

If I'm understanding the gnome-shell patch mentioned in comment #31 correctly, then it doesn't show a dialog at all in the empty-root-password case.
Comment 35 Fedora End Of Life 2012-08-16 17:58:51 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.